play.vfs

## Class VirtualFile

- java.lang.Object
- - play.vfs.VirtualFile

-     public class VirtualFile
      extends java.lang.Object

  The VFS used by Play!

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.channels.Channel` | `channel()`
    `VirtualFile` | `child(java.lang.String name)`
    `byte[]` | `content()`
    `java.lang.String` | `contentAsString()`
    `boolean` | `equals(java.lang.Object other)`
    `boolean` | `exists()`
    `static VirtualFile` | `fromRelativePath(java.lang.String relativePath)`
    `java.lang.String` | `getName()`
    `java.io.File` | `getRealFile()`
    `int` | `hashCode()`
    `java.io.InputStream` | `inputstream()`
    `boolean` | `isDirectory()`
    `java.lang.Long` | `lastModified()`
    `long` | `length()`
    `java.util.List<VirtualFile>` | `list()`
    `boolean` | `matchName(java.lang.String fileName)` Method to check if the name really match (very useful on system without case sensibility (like windows))
    `static VirtualFile` | `open(java.io.File file)`
    `static VirtualFile` | `open(java.lang.String file)`
    `java.io.OutputStream` | `outputstream()`
    `java.lang.String` | `relativePath()`
    `static VirtualFile` | `search(java.util.Collection<VirtualFile> roots, java.lang.String path)`
    `java.lang.String` | `toString()`
    `void` | `write(java.lang.CharSequence string)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### isDirectory

          public boolean isDirectory()

    - #### relativePath

          public java.lang.String relativePath()

    - #### list

          public java.util.List<VirtualFile> list()

    - #### exists

          public boolean exists()

    - #### inputstream

          public java.io.InputStream inputstream()

    - #### outputstream

          public java.io.OutputStream outputstream()

    - #### lastModified

          public java.lang.Long lastModified()

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### length

          public long length()

    - #### child

          public VirtualFile child(java.lang.String name)

    - #### channel

          public java.nio.channels.Channel channel()

    - #### open

          public static VirtualFile open(java.lang.String file)

    - #### open

          public static VirtualFile open(java.io.File file)

    - #### contentAsString

          public java.lang.String contentAsString()

    - #### getRealFile

          public java.io.File getRealFile()

    - #### write

          public void write(java.lang.CharSequence string)

    - #### content

          public byte[] content()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### search

          public static VirtualFile search(java.util.Collection<VirtualFile> roots,
                                           java.lang.String path)

    - #### fromRelativePath

          public static VirtualFile fromRelativePath(java.lang.String relativePath)

    - #### matchName

          public boolean matchName(java.lang.String fileName)

      Method to check if the name really match (very useful on system without case sensibility (like windows))
      Parameters:
        `fileName` - The given file name
      Returns:
        true if match

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly